# Class ApiResponse | EchoHub Documentation

# Class ApiResponse

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record ApiResponse : IEquatable<ApiResponse>

Inheritance
  object
  ApiResponse

Implements
  IEquatable<ApiResponse>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ApiResponse(ApiResponse)

    protected ApiResponse(ApiResponse original)

#### Parameters

`original` ApiResponse

### ApiResponse(bool, string?, List<string>?)

    public ApiResponse(bool Success, string? Message = null, List<string>? Errors = null)

#### Parameters

`Success` bool
`Message` string
`Errors` List<string>

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Errors

    public List<string>? Errors { get; init; }

#### Property Value

List<string>

### Message

    public string? Message { get; init; }

#### Property Value

string

### Success

    public bool Success { get; init; }

#### Property Value

bool

## Methods

### Deconstruct(out bool, out string?, out List<string>?)

    public void Deconstruct(out bool Success, out string? Message, out List<string>? Errors)

#### Parameters

`Success` bool
`Message` string
`Errors` List<string>

### Equals(ApiResponse?)

    public virtual bool Equals(ApiResponse? other)

#### Parameters

`other` ApiResponse

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ApiResponse?, ApiResponse?)

    public static bool operator ==(ApiResponse? left, ApiResponse? right)

#### Parameters

`left` ApiResponse
`right` ApiResponse

#### Returns

bool

### operator !=(ApiResponse?, ApiResponse?)

    public static bool operator !=(ApiResponse? left, ApiResponse? right)

#### Parameters

`left` ApiResponse
`right` ApiResponse

#### Returns

bool